package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.dto.RegionDataRemarkDTO;
import com.ruoyi.ibs.grid.domain.dto.RegionDataSelectDTO;
import com.ruoyi.ibs.grid.domain.entity.RegionDataRemark;
import com.ruoyi.ibs.grid.domain.vo.GridRegionVO;
import com.ruoyi.ibs.grid.domain.vo.RegionDataVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/10/14
 **/
public interface RegionDataService {



    List<RegionDataVO> getRegionDataListByAdmin(RegionDataSelectDTO regionDataSelectDTO);

    List<RegionDataVO> getRegionDataList(RegionDataSelectDTO regionDataSelectDTO, List<String> regionList);

    List<String> getRegionListByHead();

    List<String> getRegionDataListByBranch();

    List<String> getRegionDataListByManager();

    String updateRegionRemark(RegionDataRemarkDTO regionDataRemarkDTO);

    RegionDataRemark getRegionDataRemarkByCode(String code);

    GridRegionVO getGridRegionFence(Long gridId);

    List<GridRegionVO> queryGridRegionFence(List<Long> gridIds);


}
